package com.zcxk.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.dto.*;
import com.zcxk.entity.MonthReportEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_day_reportDAO接口
 * @author: WYY
 * @date 2020-12-03 16:20
 */
@Mapper
public interface MonthReportMapper extends BaseMapper<MonthReportEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  monthReportEntity 实体类
     */
     Page<ReportDto> findPage(IPage<ReportDto> page,
                              @Param("monthReport") MonthReportEntity monthReportEntity);

    Page<ReportDto> findPageReprot(IPage<ReportDto> page,
                             @Param("monthReport") ReportPageQueryDto reportPageQueryDto);

    MonthReportEntity findMonthReportById(Serializable id);


     List<MonthReportEntity> findList(MonthReportEntity monthReportEntity);

    List<ReportAttributeDto> findAttributeList(@Param("report") ReportDto reportDto);

    List<ReportDto> findReport(@Param("report") ReportDto item);

    Page<DevicePressReportAttributeDto> findDevicePressPage(IPage<DevicePressReportAttributeDto> page, @Param("monthReport")  MonthReportEntity monthReportEntity);

    Page<DeviceWaterReportAttributeDto> findDeviceWaterPage(IPage<DeviceWaterReportAttributeDto> page, @Param("monthReport") MonthReportEntity monthReportEntity);

    List<MonthReportEntity> findAmountBySceneIds(@Param("monthReport")  MonthReportEntity monthReportEntity);

    List<MonthReportEntity> findAmountTotalBySceneIds(@Param("monthReport")  MonthReportEntity monthReportEntity);

    List<ReportAttributeDto> findAttributeListForMonth(@Param("report") ReportDto reportDto);

    ReportAttributeDto findSumValue(@Param("report") MonthReportEntity reportDto);
}
